"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadNxPluginInIsolation = void 0;
const workspace_root_1 = require("../../../utils/workspace-root");
const plugin_pool_1 = require("./plugin-pool");
const remotePluginCache = new Map();
function loadNxPluginInIsolation(plugin, root = workspace_root_1.workspaceRoot) {
    const cacheKey = JSON.stringify(plugin);
    if (remotePluginCache.has(cacheKey)) {
        return remotePluginCache.get(cacheKey);
    }
    const [loadingPlugin, cleanup] = (0, plugin_pool_1.loadRemoteNxPlugin)(plugin, root);
    remotePluginCache.set(cacheKey, [loadingPlugin, cleanup]);
    return [loadingPlugin, cleanup];
}
exports.loadNxPluginInIsolation = loadNxPluginInIsolation;
